#jinja2:lstrip_blocks: True
version: '3.8'

{% if service_configs %}
configs:
{% for config in service_configs %}
  {{ config.ConfigName }}:
    external: true
{% endfor %}

{% endif %}
networks:
  infra-public:
    external: true

services:
  statping:
    image: statping/statping:latest
    {% if service_configs %}
    configs:
    {% for config in service_configs %}
      - source: {{ config.ConfigName }}
        target: {{ config.File.Name }}
    {% endfor %}
    {% endif %}
    deploy:
      labels:
        - traefik.enable=true
        {% if domain != '' %}
        - traefik.http.routers.statping.rule=Host(`{{ domain }}`)
        {% endif %}
        {% if dns_provider != '' %}
        - traefik.http.routers.statping.tls.certresolver={{ dns_provider }}
        {% endif %}
        - traefik.http.services.statping.loadbalancer.server.port=8080
    environment:
      ADMIN_PASSWORD: {{ admin_password }}
      ADMIN_USER: {{ admin_user }}
      {% if api_secret != '' %}
      API_SECRET: {{ api_secret }}
      {% endif %}
      DB_CONN: sqlite
      {% if description != '' %}
      DESCRIPTION: {{ description }}
      {% endif %}
      {% if domain != '' %}
      DOMAIN: {{ domain }}
      {% endif %}
      {% if title != '' %}
      NAME: {{ title }}
      {% endif %}
      SAMPLE_DATA: 'false'
    networks:
      - infra-public
    volumes:
      - /mnt/ha/statping:/app
